from nose.tools import *
from nose.plugins.attrib import attr

import foo

def test_isInt():
    assert_true(foo.isInt(0))
    assert_false(foo.isInt("not an int"))

def test_makeList():
    assert_equals([1,2,3], foo.makeList(1, 2, 3))

def test_divide():
    eq_(0, foo.divide(0, 1))

@raises(ZeroDivisionError)
def test_divide_by_zero():
    foo.divide(1, 0)


# Fixture examples
class DummyConnection(object):
    def close(self):
        pass

def create_db_connection():
    return DummyConnection()

_db = None

def setup_func():
    # Setup per test case here
    global _db
    _db = create_db_connection()

def teardown_func():
    # Cleanup per test case here
    global _db
    _db.close()
    _db = None

@with_setup(setup_func, teardown_func)
def test_with_fixture():
    ok_(isinstance(_db, DummyConnection))


# Attributes
@attr('nothing')
def test_zero_equals_zero():
    assert 0 == 0


# Generative test cases
def test_generator():
    for i in xrange(0, 20, 2):
        yield check_even, i

def check_even(even_number):
    assert_true(foo.isEven(even_number))
    assert_false(foo.isEven(even_number + 1))
