import unittest
import foo


class DummyConnection(object):
    def close(self):
        pass

def create_db_connection():
    return DummyConnection()


class TestFoo(unittest.TestCase):
    def setUp(self):
        # ... Any *common* set up required for your
        # test cases can go here
        self.db = create_db_connection()
        
    def tearDown(self):
        # Clean up the fixture here
        self.db.close()
        
    def testIsInt(self):
        self.assertTrue(foo.isInt(0))
        self.assertFalse(foo.isInt("not an int"))

    def testMakeList(self):
        self.assertEquals([1,2,3],
                          foo.makeList(1, 2, 3))

    def testDivide(self):
        self.assertEquals(0, foo.divide(0, 1))
        self.assertRaises(ZeroDivisionError, foo.divide, 1, 0)


class TestFooBar(unittest.TestCase):
    def testExample(self):
        # This is just an example to see multiple test classes in
        # a single file
        self.assertEquals(True, 1 == (2 / 2))


def suite():
    testSuite = unittest.TestSuite()
    loader = unittest.TestLoader()

    for testCase in [TestFoo, TestFooBar]:
        testSuite.addTest(loader.loadTestsFromTestCase(testCase))
    return testSuite


if __name__ == '__main__':
    unittest.main()

